<script type="text/javascript">
	$(document).ready(function(){
		
	cari_itf();
	
	function cari_itf(){
		var no = 1;
		$.ajax({
			type	: "POST",
			url		: "modul/pener_kas/cari_itf.php",
			data	: "no="+no,
			dataType: "json",
			success	: function(data){
				$("#txt_piut").val(data.nopiut);
				$("#txt_persed").val(data.nopers);				
				$("#txt_labapb").val(data.labapb);
				$("#txt_jual").val(data.jual);
				$("#txt_labrug").val(data.labrug);
			}
		});
	}
	
	cari_tgl();
	
	function cari_tgl(){
		var no = 1;
		$.ajax({
			type	: "POST",
			url		: "modul/report/cari_tanggal.php",
			data	: "no="+no,
			dataType: "json",
			success	: function(data){				
				$("#txt_tanggal").val(data.tanggal);
			}
		});
	}
	
	$("#txt_tanggal").focus();
	
	$("#txt_tanggal").keyup(function(){
		$("#txt_kode").val('');
		$("#txt_shift").val('');
		tampil_data_detail();
	});
	
	$("#txt_tanggal").click(function(){
		$("#txt_kode").val('');
		$("#txt_shift").val('');
		tampil_data_detail();
	});
	
	$('#form_cari_bkk').dialog({
		autoOpen: false,
		modal	: true,
		width: 600,
	});
				
	$('#form_cari_kas').dialog({
		autoOpen: false,
		modal	: true,
		width: 600,
	});
		
	$('#txt_namakas').keyup(function(){
		$('#form_cari_kas').dialog('open');
		$("#txt_carikas").focus();
	});
	
	$('#txt_namakas').click(function(){
		$('#form_cari_kas').dialog('open');
		$("#txt_carikas").focus();
	});
	
	$("#txt_carikas").keyup(function(){
		var cari= $("#txt_carikas").val();
		
		var no=1;
		$.ajax({
			type	: "POST",
			url		: "modul/pengel_kas/tampil_data_kas.php",
			data	: "cari="+cari,
			timeout	: 3000,
			beforeSend	: function(){		
				$("#info_kas").html("<img src='loading.gif' />");			
			},				  
			success	: function(data){
				$("#info_kas").html(data);				
			}
		});
	});
	
	$('#txt_shift').click(function(){
		cari_nomor();
	});
	
	$('#txt_shift').keyup(function(){
		cari_nomor();
	});
	
	function cari_nomor(){
		var tanggal	= $("#txt_tanggal").val();
		var shift  	= $("#txt_shift").val();
		$.ajax({
			type	: "POST",
			url		: "modul/pengel_kas/cari_nomor.php",
			data	: "tanggal="+tanggal+
			        "&shift="+shift,
			dataType: "json",
			success	: function(data){				
				$("#txt_total").val('');
				$("#txt_kode").val(data.nomor);
				$('#data_detail').show();				
				cek_nourut();
				tampil_data_detail();
			}
		});
	}
	
	function cek_nourut(){
		var kode = $("#txt_kode").val();
		
		$.ajax({
			type	: "POST",
			url		: "modul/pengel_kas/cari_nourut.php",
			data	: "kode="+kode,
			dataType: "json",
			success	: function(data){
				$("#txt_nourut").val(data.nourut);
			}
		});
	}
	
	function tampil_data_detail(){		
		var tanggal = $("#txt_tanggal").val();
		var shift   = $("#txt_shift").val();
		$("#data_detail").load("modul/pengel_kas/tampil_data_detail.php?tanggal="+tanggal+"&shift="+shift);		
	}
	
	$('#cari_bkk').click(function(){
		$('#form_cari_bkk').dialog('open');
		
		var no=1;
		$.ajax({
			type	: "POST",
			url		: "modul/pengel_kas/tampil_nobkk.php",
			data	: "no="+no,
			timeout	: 3000,
			beforeSend	: function(){		
				$("#info_kk").html("<img src='loading.gif' />");			
			},				  
			success	: function(data){
				$("#info_kk").html(data);				
			}
		});
	});
	
	$('#form_cari_akun').dialog({
		autoOpen: false,
		modal	: true,
		width: 600,
	});
	
	$('#txt_naakun').keyup(function(){
		var shift = $("#txt_shift").val();		
		if(shift==''){
			alert('Maaf, kolom shift harus dipilih lebih dulu.');
			return(false);
		}
		
		$('#form_cari_akun').dialog('open');
		$("#txt_caribb").focus();
	});
	
	$('#txt_naakun').click(function(){
		var shift = $("#txt_shift").val();
		if(shift==''){
			alert('Maaf, kolom shift harus dipilih lebih dulu.');
			return(false);
		}
		
		$('#form_cari_akun').dialog('open');
		$("#txt_caribb").focus();
	});
	
	$("#txt_caribb").keyup(function(){
		var cari	= $("#txt_caribb").val();
				
		$.ajax({
			type	: "POST",
			url		: "modul/pengel_kas/tampil_data_akun.php",
			data	: "cari="+cari,
			timeout	: 3000,
			beforeSend	: function(){		
				$("#info_bb").html("<img src='loading.gif' />");			
			},				  
			success	: function(data){
				$("#info_bb").show();
				$("#info_bb").html(data);
			}
		});
	});
	
	$('#form_cari_bp').dialog({
		autoOpen: false,
		modal	: true,
		width: 600,
	});
	
	$("#txt_namabp").keyup(function(){
		var adabp = $("#txt_adabp").val();
		var nobb = $("#txt_noakun").val();
		
		if(adabp==''){
			alert('Kode akun '+nobb+' tidak memiliki buku pembantu.');
			$("#txt_jumlah").focus();
		}else{
			$('#form_cari_bp').dialog('open');
			$("#txt_caribp").focus();		
		}
	});
	
	$("#txt_caribp").keyup(function(){
		var cari = $("#txt_caribp").val();
		var nobb = $("#txt_noakun").val();		
		
		$.ajax({
			type		: "POST",
			url		: "modul/pengel_kas/tampil_data_bp.php",
			data	: "cari="+cari+
					"&nobb="+nobb,
			timeout	: 3000,
			beforeSend	: function(){		
				$("#info_bp").html("<img src='loading.gif' />");			
			},				  
			success	: function(data){
				$("#info_bp").html(data);				
			}
		});
	});
	
	$("#simpan").click(function(){
		simpan_data();
	});
			
	function simpan_data(){
		var kode	= $("#txt_kode").val();
		var tanggal	= $("#txt_tanggal").val();
		var nokas   = $("#txt_nokas").val();		
		var nakas  	= $("#txt_namakas").val();
		var shift  	= $("#txt_shift").val();
		var nourut  = $("#txt_nourut").val();
		var noakun	= $("#txt_noakun").val();
		var nobp  	= $("#txt_nobp").val();		
		var naakun 	= $("#txt_naakun").val();
		var namabp 	= $("#txt_namabp").val();
		var ket    	= $("#txt_ket").val();
		var jumlah	= $("#txt_jumlah").val();		
		
		var error = false;
		
		if(kode.length == 0){
           var error = true;
           alert("Maaf, No.BKK masih kosong. Tentukan tanggal dan pilih shift untuk membuat No.BKK.");
		   return (false);
        }
		
		if(tanggal.length == 0){
           var error = true;
           alert("Maaf, Tanggal BKM tidak boleh kosong.");
		   return (false);
        }
		
		if(nokas.length == 0){
			var error = true;
			alert("Maaf, Nomor akun kas masih kosong");
			$("#txt_nokas").focus();
			return (false);
        }
		
		if(noakun.length == 0){
           var error = true;
           alert("Maaf, Kode Akun  tidak boleh kosong");
		   $("#txt_noakun").focus();
		   return (false);
        }
		
		if(nobp.length == 0){
			var adabp = $("#txt_adabp").val();
			
			if(!adabp==''){
				var error = true;
				alert("Maaf, Anda belum memilih kode Buku Pembantu.");
				$("#txt_noakun").focus();
				return (false);
			}
        }
				
		if(ket.length == 0){
           var error = true;
           alert("Maaf, Kolom keterangan tidak boleh kosong");
		   $("#txt_ket").focus();
		   return (false);
        }
		 
		if(jumlah.length == 0){
			var error = true;
			alert("Maaf, Kolom jumlah tidak boleh kosong.");
			$("#txt_jumlah").focus();
			return (false);
        }
		
		$.ajax({
			type	: "POST",
			url		: "modul/pengel_kas/simpan.php",
			data	: "kode="+kode+
					"&tanggal="+tanggal+
					"&nokas="+nokas+
					"&nakas="+nakas+
					"&shift="+shift+
					"&nourut="+nourut+
					"&noakun="+noakun+
					"&nobp="+nobp+
					"&naakun="+naakun+
					"&namabp="+namabp+
					"&ket="+ket+
					"&jumlah="+jumlah,
			timeout	: 2000,
			beforeSend	: function(){		
				$("#info").html("<img src='loading.gif' />");			
			},				  
			success	: function(data){
				$("#info").html(data);
				$(".input_detail").val('');
				$("#txt_naakun").focus();
				$("#txt_caribb").val('');
				cek_nourut();
				tampil_data_detail();
				
			}
		});
	}
		
	$("#tutup").click(function(){		
		document.location='?module=home';
	});
});
</script>

<style type="text/css">
#txt_kode {
	background:#CCC;
}
</style>

<?php
echo "<table width='100%'>	
	<tr>
		<input type='text' name='txt_piut' id='txt_piut' size='4' hidden />
		<input type='text' name='txt_persed' id='txt_persed' size='4' hidden />		
		<input type='text' name='txt_labapb' id='txt_labapb' size='4' hidden />
		<input type='text' name='txt_jual' id='txt_jual' size='4' hidden />
		<input type='text' name='txt_labrug' id='txt_labrug' size='4' hidden />
		
		<td>Nomor BKK : <input type='text' name='txt_kode' id='txt_kode' size='12' class='input_header' readonly />
			<img src='images/view.png' width='18' height='18' title='Cari BKK' id='cari_bkk'>
		</td>
		<td>Tanggal : <input type='date' name='txt_tanggal' id='txt_tanggal' size='10' class='input_header' ></td>		
		<td>Akun Kas : <input type='text' name='txt_namakas' id='txt_namakas' size='25' class='input_header'>
			<input type='text' name='txt_nokas' id='txt_nokas' size='4' class='input_header' readonly />
		</td>
		<td>Shift : <select name='txt_shift' id='txt_shift' >
			<option value=''>- Pilih -</option>
			<option value='1'>1 - Pagi</option>
			<option value='2'>2 - Siang</option>
			<option value='3'>3 - Malam</option>
			</select>
		</td>
	</table>
	<hr>";
	
echo "<div id='form_input'>
	<table>
		<tr>
			<th>Nama Akun</th>
			<th>Kode Akun</th>
			<th>Nama BP</th>
			<th>Kode BP</th>		
			<th>Jumlah</th>
			<th>Keterangan</th>
			<th></th>
		</tr>		
		<tr>
			<input type='text' name='txt_nourut' id='txt_nourut' hidden />
			<input type='text' name='txt_adabp' id='txt_adabp' hidden />
			<input type='text' name='txt_piut' id='txt_piut' hidden />
			<input type='text' name='txt_total' id='txt_total' hidden />
			<td align='center'><input type='text' name='txt_naakun' id='txt_naakun' class='input_detail' size='25' ></td>
			<td align='center'><input type='text' name='txt_noakun' id='txt_noakun' class='input_detail' size='10' readonly /></td>
			<td align='center'><input type='text' name='txt_namabp' id='txt_namabp' class='input_detail' size='25' ></td>
			<td align='center'><input type='text' name='txt_nobp' id='txt_nobp' class='input_detail' size='10' maxlength='10' readonly /></td>
			<td align='center'><input type='text' name='txt_jumlah' id='txt_jumlah' class='input_detail' size='12' ></td>
			<td align='center'><input type='text' name='txt_ket' id='txt_ket' class='input_detail' size='48' ></td>
			<td colspan='6' align='right'>
				<button name='simpan' id='simpan'>Rekam</button>				
				<button name='tutup' id='tutup'>Tutup</button>
			</td>
		</tr>
	</table>
	</div>";

echo "<div id='form_cari_bkk' title='Pencarian Bukti Kas Keluar'>		
		<div id='info_kk' align='center'></div>
	</div>";
	
echo "<div id='form_cari_kas' title='Pencarian Akun kas'>
		<table width='100%'>
			<tr>
				<td width='20%'>Cari Akun kas</td>
				<td width='1%'>:</td>
				<td><input type='text' name='txt_carikas' id='txt_carikas' size='40'</td>
			</tr>
		</table>
		<div id='info_kas' align='center'></div>
	</div>";

echo "<div id='data_detail'></div>";

echo "<div id='form_cari_akun' title='Pencarian Akun Buku Besar'>
		<table width='100%'>
			<tr>
				<td width='20%'>Cari Buku Besar</td>
				<td width='1%'>:</td>
				<td><input type='text' name='txt_caribb' id='txt_caribb' size='40'</td>
			</tr>
		</table>
		<div id='info_bb' align='center'></div>
	</div>";

echo "<div id='form_cari_bp' title='Pencarian Akun Buku Pembantu'>
		<table width='100%'>
			<td>
				<td width='25%'>Cari Buku Pembantu</td>
				<td width='1%'>:</td>
				<td><input type='text' name='txt_caribp' id='txt_caribp' size='30'</td>
			</td>
		</table>		
		<div id='info_bp' align='center'></div>
	</div>";
?>
